summaryrefslogtreecommitdiffstats
path: root/source/d/meson/meson.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/meson/meson.SlackBuild')
-rwxr-xr-xsource/d/meson/meson.SlackBuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/source/d/meson/meson.SlackBuild b/source/d/meson/meson.SlackBuild
index 6e0faba19..a428c81aa 100755
--- a/source/d/meson/meson.SlackBuild
+++ b/source/d/meson/meson.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=meson
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -53,6 +53,11 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Upstream fix for GNOME projects build failures:
+zcat $CWD/39bb5e07eab736b525abfc66eb5ad0dd626aedc6.patch.gz | patch -p1 --verbose || exit 1
+# Needs this as well:
+zcat $CWD/meson.import.copy.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \